Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.stmt.db2
Class TCustomDb2Stmt

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.TCustomSqlStatement
              gudusoft.gsqlparser.stmt.db2.TCustomDb2Stmt

All Implemented Interfaces:
  Visitable

Direct Known Subclasses:
  TDb2CallStmt, TDb2CaseStmt, TDb2CloseCursorStmt, TDb2ConditionDeclaration, TDb2DeclareCursorStatement, TDb2DummyStmt, TDb2DynamicCompoundStatement, TDb2FetchCursorStmt, TDb2GotoStmt, TDb2HandlerDeclaration, TDb2IfStmt, TDb2IterateStmt, TDb2LeaveStmt, TDb2OpenCursorStmt, TDb2ProcedureCompoundStatement, TDb2ReturnCodesDeclaration, TDb2ReturnStmt, TDb2SetStmt, TDb2SetVariableStmt, TDb2SignalStmt, TDb2SqlProcedureStatement, TDb2SqlVariableDeclaration, TDb2StatementDeclaration, TDb2ValuesIntoStmt

    public class TCustomDb2Stmt

extends TCustomSqlStatement

Field Summary

Fields inherited from class gudusoft.gsqlparser.TCustomSqlStatement
`dbvendor, dummytag, joins, parser, plsqlparser, rootNode, sourcetokenlist, sqlstatementtype, tables`

Constructor Summary
`TCustomDb2Stmt(EDbVendor dbvendor)`

Method Summary

Methods inherited from class gudusoft.gsqlparser.TCustomSqlStatement
`addWhereClause, analyzeFromTable, analyzeJoin, analyzeTablename, checkNonQualifiedColumnReferenceInSubQueryOfUplevelStmt, doParseStatement, getCteList, getErrorCount, getLabelName, getOutputClause, getParentStmt, getResultColumnList, getReturningClause, getStatements, getSymbolTable, getTargetTable, getTopClause, getTopStatement, getWhereClause, isnzplsql, isoracleplsql, ispgplsql, linkColumnReferenceToTable, locateVariableOrParameter, OracleStatementCanBeSeparatedByBeginEndPair, parsestatement, setCteList, setLabelName, setOutputClause, setParentStmt, setResultColumnList, setReturningClause, setTargetTable, setTopClause, setWhereClause`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TCustomDb2Stmt

    public TCustomDb2Stmt(EDbVendor dbvendor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD